fitgene.lin {rHVDM} | R Documentation

## Fits the optimal kinetic parameter values for a particular gene.

### Description

This method fits the three kinetic parameter values for a particular gene. It returns a list containing the results.

### Usage

    fitgene.lin(eset,gene,tHVDM,transforms,firstguess)

### Arguments

`eset` | an ExpressionSet object (Biobase)
`gene` | the gene identifier in character format
`transforms` | a vector containing the kinetic parameter identifiers that have to be transformed during optimisation (optional)
`tHVDM` | the output of the training set
`firstguess` | first guess for the fitting (optional, see details)

### Details

An exponential transform is set by default for both the basal (Bj) and degradation (Dj) rates (through the transforms argument). This forces the values for both these parameters to be positive. It also helps to reach a better fit. To turn this off let `transforms=c()`. Even in this case the degradation rate will not be allowed to take non positive values as it causes problems with the differential operator used internally. The value in the vector indicates the parameter to be transformed: "Bj": basal rate of transcription, "Sj": sensitivity, "Dj": degrdation rate. The entry label indicates the transform to be applied; presently, only log-transforms are implemented (ie "exp").

This `fitgene()` step can only be applied after a `training()` step. The output to the `training()` step has to be fed through the `tHVDM` argument.

The `firstguess` argument is optional (a first guess is generated internally by default). However a first guess can be supplied by the user which can take several forms. It can either be a vector with three entries containing a first guess for the basal rate, the sensitivity, the degradation rate (in that order). Alternatively, another output from the `fitgene()` function (for example from a gene that has a similar expression profile) can be supplied as a `firstguess` argument.

### Value

a list containing the results (see documentation for more details).

### Note

Obviously, the expression set given as a `eset` argument has to be the same as the one used for the training step.

### Author(s)

Martino Barenco

### References

M. Barenco, D. Tomescu, D. Brewer, R. Callard, J. Stark, M. Hubank (2006) Ranked predictions of p53 targets using Hidden Variable Dynamic Modelling. Genome Biology, V7(3), R25.

### See Also

`training`,`screening`,`HVDMreport`

### Examples

    data(HVDMexample)
    tHVDMp53<-training(eset=fiveGyMAS5,genes=p53traingenes,degrate=0.8,actname="p53")
    sHVDMcd38<-fitgene.lin(eset=fiveGyMAS5,gene="205692_s_at",tHVDM=tHVDMp53)

[Package rHVDM version 1.10.1 Index]